- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# cloudscale – cloudscale.ch inventory source

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Get inventory hosts from cloudscale.ch API
- Uses an YAML configuration file ending with either cloudscale.yml or cloudscale.yaml to set parameter values (also see examples).

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
ansible_host string | Choices: public_v4 ← public_v6 private none |  | Which IP address to register as the ansible_host. If the requested value does not exist or this is set to 'none', no ansible_host will be set.
api_timeout integer | Default: 30 |  | Timeout in seconds for calls to the cloudscale.ch API.
api_token string |  | env:CLOUDSCALE_API_TOKEN | cloudscale.ch API token
compose dictionary | Default: {} |  | Create vars from jinja2 expressions.
groups dictionary | Default: {} |  | Add hosts to group based on Jinja2 conditionals.
inventory_hostname string | Choices: name ← uuid |  | What to register as the inventory hostname. If set to 'uuid' the uuid of the server will be used and a group will be created for the server name. If set to 'name' the name of the server will be used unless there are more than one server with the same name in which case the 'uuid' logic will be used.
keyed_groups list | Default: [] |  | Add hosts to group based on the values of a variable.
plugin - / required | Choices: cloudscale |  | Token that ensures this is a source file for the 'cloudscale' plugin.
strict boolean | Choices: no ← yes |  | If `yes` make invalid entries a fatal error, otherwise skip and continue. Since it is possible to use facts in the expressions they might not always be available and we ignore those errors by default.

## Examples

    # cloudscale.yml name ending file in YAML format
    # Example command line: ansible-inventory --list -i inventory_cloudscale.yml

    plugin: cloudscale

    # Example grouping by tag key "project"
    plugin: cloudscale
    keyed_groups:
      - prefix: project
        key: cloudscale.tags.project

    # Example grouping by key "operating_system" lowercased and prefixed with "os"
    plugin: cloudscale
    keyed_groups:
      - prefix: os
        key: cloudscale.image.operating_system | lower

## Status

- This inventory is not guaranteed to have a backwards compatible interface. [preview]
- This inventory is maintained by the Ansible Community. [community]

### Authors

- Gaudenz Steinlin (@gaudenz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.